##### GENERAL STUFF #####
%define major 5
%define libname %mklibname inklevel %major
%define develname %mklibname -d inklevel
%define old_libname %mklibname inklevel 2

Summary:	Library to determine the ink levels of HP and Epson inkjets
Name:		libinklevel
Version:	0.9.1
Release:	%mkrel 1
License:	GPL
Group:		Publishing
Url:		http://libinklevel.sourceforge.net/

##### SOURCE FILES #####

Source: http://heanet.dl.sourceforge.net/sourceforge/libinklevel/libinklevel-%{version}.tar.xz

##### ADDITIONAL DEFINITIONS #####

BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libieee1284-devel
BuildRequires:	%{_lib}usb1.0-devel

##### SUB-PACKAGES #####

%description

libinklevel is a library for checking the ink level of your printer on
a system which runs Linux. It supports printers attached via parallel
port or usb.

Most current HP inkjets and several Epson inkjets are supported.

%package -n %libname
Summary:	Library to determine the ink levels of HP and Epson inkjets
Provides:	libinklevel
Group:		Publishing
Obsoletes:	%old_libname

%description -n %libname

libinklevel is a library for checking the ink level of your printer on
a system which runs Linux. It supports printers attached via parallel
port or usb.

Most current HP inkjets and several Epson inkjets are supported.

%package -n %{develname}
Summary: 	Headers and links to compile against the "%{libname}" library
Requires: 	%{libname} = %{version}
Provides:	libinklevel-devel = %{version}-%{release}
Obsoletes:	%{libname}-devel
Obsoletes:	%{old_libname}-devel
Group:		Development/C

%description -n %{develname}
This package contains all files which one needs to compile programs using
the "%{libname}" library.


##### PREP #####

%prep
%setup -q

##### BUILD #####

%build
%configure2_5x --disable-static
%make

##### INSTALL #####

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# remove not needed .la files
rm -f %{buildroot}/%{_libdir}/*.la

##### PRE/POST INSTALL SCRIPTS #####

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT


##### FILE LISTS FOR ALL BINARY PACKAGES #####

##### libinklevel
%files -n %libname
%defattr(-,root,root)
%{_docdir}/%{name}/* 
%{_libdir}/libinklevel.so.%{major}*

##### libinklevel-devel
%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*

##### CHANGELOG #####



%changelog
* Mon Apr 06 2015 ghostbunny <ghostbunny at gmx dot de> 0.9.1-1pclos2015
- 0.9.1
- rename spec to pclos-libinklevel.spec
- add xz compression for source
- add configure
- use makeinstall_std macro
- add BR libusb1.0-devel

* Wed Nov 14 2007 Texstar <texstar@gmail.co> 0.7.1-1pclos2007
- import into pclos from Funda Wang

